Package twisted :: Package protocols :: Module http :: Class HTTPFactory

[frames | no frames]

## Class HTTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   HTTPFactory

Known Subclasses:
  `Site`

Factory for HTTP server.

Method Summary
| `__init__(self, logPath, timeout)`
| ``_openLogFile`(self, path)` Override in subclasses, e.g.
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``log`(self, request)` Log a request's result to the logfile, by default in combined log format.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.

Class Variable Summary
`NoneType` | `logPath` = None
`class` | `protocol` = `twisted.protocols.http.HTTPChannel`
`int` | `timeOut` = 43200
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### _openLogFile(self, path)

Override in subclasses, e.g. to use twisted.python.logfile.

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### log(self, request)

Log a request's result to the logfile, by default in combined log format.

### startFactory(self)

This will be called before I begin listening on a Port or Connector.

It will only be called once, even if the factory is connected to multiple ports.

This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera.

  Overrides:
    `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### stopFactory(self)

This will be called before I stop listening on all Ports/Connectors.

This can be used to perform 'shutdown' tasks such as disconnecting database connections, closing files, etc.

It will be called, for example, before an application shuts down, if it was connected to a port.

  Overrides:
    `twisted.internet.protocol.Factory.stopFactory` (inherited documentation)

Class Variable Details

### logPath

  Type:
    `NoneType`
  Value:

        None

### timeOut

  Type:
    `int`
  Value:

        43200

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net